Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/gr_citrus.ld
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/gr_citrus.ld	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/gr_citrus.ld	(revision 364)
@@ -11,5 +11,5 @@
 		KEEP(*(.fvectors))
 	} > ROM
-	.text 0xFFF00000 : AT (0xFFF00000)
+	.text 0xFFE00000 : AT (0xFFE00000)
 	{
 		*(.text)
@@ -56,4 +56,7 @@
 		*(C_2)
 		*(C)
+		_mrb_preset_const_start = .;
+		*(.mrb_preset_const)
+		_mrb_preset_const_end = .;
 		_erodata = .;
 	} > ROM
@@ -111,4 +114,7 @@
 		. = ALIGN(2);
 		*(D_2)
+		_mrb_preset_data_start = .;
+		*(.mrb_preset_data)
+		_mrb_preset_data_end = .;
 		_edata = .;
 	} > RAM
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.c	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.c	(revision 364)
@@ -68,7 +68,4 @@
 
 	/* IOポート初期化 */
-	/* P25を出力ポートにする */
-	sil_wrb_mem(PORT2_PDR_ADDR, 
-		sil_reb_mem(PORT2_PDR_ADDR) | PORT_PDR_B5_BIT);
 	/* PA0, PA1, PA2, PA6を出力ポートにする */
 	sil_wrb_mem(PORTA_PDR_ADDR,
@@ -81,5 +78,4 @@
 	 *  シリアルポートの設定
 	 */
-	serial_opn_por(1);
 
 	/* ポートP20をTxD0, ポートP21をRxD0に */
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.h	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_kernel_impl.h	(revision 364)
@@ -107,17 +107,17 @@
  */
 #ifdef TOPPERS_ENABLE_TRACE
-#define LOG_DSP_ENTER	( 1 )
-#define LOG_DSP_LEAVE	( 1 )
-#define LOG_INH_ENTER	( 1 )
-#define LOG_INH_LEAVE	( 1 )
-#define LOG_EXC_ENTER	( 1 )
-#define LOG_EXC_LEAVE	( 1 )
+#define LOG_DSP_ENTER(dspno)
+#define LOG_DSP_LEAVE(dspno)
+#define LOG_INH_ENTER(inhno)
+#define LOG_INH_LEAVE(inhno)
+#define LOG_EXC_ENTER(excno)
+#define LOG_EXC_LEAVE(excno)
 #else
-#define LOG_DSP_ENTER	( 0 )
-#define LOG_DSP_LEAVE	( 0 )
-#define LOG_INH_ENTER	( 0 )
-#define LOG_INH_LEAVE	( 0 )
-#define LOG_EXC_ENTER	( 0 )
-#define LOG_EXC_LEAVE	( 0 )
+#undef LOG_DSP_ENTER
+#undef LOG_DSP_LEAVE
+#undef LOG_INH_ENTER
+#undef LOG_INH_LEAVE
+#undef LOG_EXC_ENTER
+#undef LOG_EXC_LEAVE
 #endif
 
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_sym.def
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_sym.def	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_sym.def	(revision 364)
@@ -1,8 +1,2 @@
-LOG_DSP_ENTER
-LOG_DSP_LEAVE
-LOG_INH_ENTER
-LOG_INH_LEAVE
-LOG_EXC_ENTER
-LOG_EXC_LEAVE
 SIL_DLY_TIM1
 SIL_DLY_TIM2
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_timer.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_timer.c	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_citrus_gcc/target_timer.c	(revision 364)
@@ -398,5 +398,5 @@
 	 */
 	if (probe_int(INTNO_TIMER1)) {
-		if(local_cnt < 0x8000)
+		if (local_cnt < 0x8000)
 			local_eut += 1;
 	}
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/gr_sakura.ld
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/gr_sakura.ld	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/gr_sakura.ld	(revision 364)
@@ -56,4 +56,7 @@
 		*(C_2)
 		*(C)
+		_mrb_preset_const_start = .;
+		*(.mrb_preset_const)
+		_mrb_preset_const_end = .;
 		_erodata = .;
 	} > ROM
@@ -111,4 +114,7 @@
 		. = ALIGN(2);
 		*(D_2)
+		_mrb_preset_data_start = .;
+		*(.mrb_preset_data)
+		_mrb_preset_data_end = .;
 		_edata = .;
 	} > RAM
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.c	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.c	(revision 364)
@@ -81,5 +81,4 @@
 	 *  シリアルポートの設定
 	 */
-	serial_opn_por(1);
 
 	/* ポートP20をTxD0, ポートP21をRxD0に */
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.h	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_kernel_impl.h	(revision 364)
@@ -107,17 +107,17 @@
  */
 #ifdef TOPPERS_ENABLE_TRACE
-#define LOG_DSP_ENTER	( 1 )
-#define LOG_DSP_LEAVE	( 1 )
-#define LOG_INH_ENTER	( 1 )
-#define LOG_INH_LEAVE	( 1 )
-#define LOG_EXC_ENTER	( 1 )
-#define LOG_EXC_LEAVE	( 1 )
+#define LOG_DSP_ENTER(dspno)
+#define LOG_DSP_LEAVE(dspno)
+#define LOG_INH_ENTER(inhno)
+#define LOG_INH_LEAVE(inhno)
+#define LOG_EXC_ENTER(excno)
+#define LOG_EXC_LEAVE(excno)
 #else
-#define LOG_DSP_ENTER	( 0 )
-#define LOG_DSP_LEAVE	( 0 )
-#define LOG_INH_ENTER	( 0 )
-#define LOG_INH_LEAVE	( 0 )
-#define LOG_EXC_ENTER	( 0 )
-#define LOG_EXC_LEAVE	( 0 )
+#undef LOG_DSP_ENTER
+#undef LOG_DSP_LEAVE
+#undef LOG_INH_ENTER
+#undef LOG_INH_LEAVE
+#undef LOG_EXC_ENTER
+#undef LOG_EXC_LEAVE
 #endif
 
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_sym.def
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_sym.def	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_sym.def	(revision 364)
@@ -1,8 +1,2 @@
-LOG_DSP_ENTER
-LOG_DSP_LEAVE
-LOG_INH_ENTER
-LOG_INH_LEAVE
-LOG_EXC_ENTER
-LOG_EXC_LEAVE
 SIL_DLY_TIM1
 SIL_DLY_TIM2
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_timer.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_timer.c	(revision 337)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/target/gr_sakura_gcc/target_timer.c	(revision 364)
@@ -398,5 +398,5 @@
 	 */
 	if (probe_int(INTNO_TIMER1)) {
-		if(local_cnt < 0x8000)
+		if (local_cnt < 0x8000)
 			local_eut += 1;
 	}
